---
type: api
title: Get a region
description: Retrieve the details of a cloud service provider region.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/cloud-serverless/operation/operation-getregion
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/cloud-serverless/operation/operation-getregion
products:
  - Elastic Cloud Serverless
---

# Get a region

- Server: `https://api.elastic-cloud.com`

## Paths

- `GET` `/api/v1/serverless/regions/{id}`

#### Path parameters

- `id` (string) — required
  ID of the region
  Example: `aws-us-east-1`

## Description

Retrieve the details of a cloud service provider region.

## Authentication

- Api key: `Authorization: <value>`
  API keys are used to authenticate requests to the Elastic Cloud Serverless REST API.
  Generate your secret API key in https://cloud.elastic.co/account/keys
  You must provide the API key for all API requests in the Authorization header as follows:
  
  ```
  "Authorization: ApiKey $API_KEY"
  ```
  
  For example, if you interact with the API using the curl command:
  
  ```
  curl -H "Authorization: ApiKey essu_..." https://api.elastic-cloud.com/api/v1/serverless/projects/elasticsearch
  ```

## Responses

#### `200`

The requested region

`application/json`

- `id` (string)
  Unique human-readable identifier for a region in Elastic Cloud.
- `name` (string)
  The human readable name for the region
- `csp` (enum)
  The identifier of the cloud service provider hosting this region.
  Values: `aws`, `gcp`, `azure`
- `csp_region` (string)
  The unique identifier of the underlying cloud service provider region.
- `country_code` (string)
  ISO 3166-1 alpha-2 country code which this region is associated with
- `project_creation_enabled` (boolean)
  Specifies whether the region is available for project creation
#### `404`

Not Found

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code examples

#### curl

```curl
curl -X GET "https://api.elastic-cloud.com/api/v1/serverless/regions/aws-us-east-1" \
  -H "Authorization: ApiKey ${API_KEY}"
```

